## class osgDB::PushAndPopDataPath

> Convinience class for pushing a path on construction, and popping the path and destruction.

### Public Methods

PushAndPopDataPath(const std::string& path)
~PushAndPopDataPath()

## Documentation

> Convinience class for pushing a path on construction, and popping the path and destruction. This helps keep the addition of a path local to a block of code, even in the presence of exceptions.

`PushAndPopDataPath(const std::string& path)`

`~PushAndPopDataPath()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.